# CEGUI::PropertyDefinition Class Reference

class representing a new property to be available on all widgets that use the WidgetLook that this PropertyDefinition is defiend for. More...

Inheritance diagram for CEGUI::PropertyDefinition:

[legend]
Collaboration diagram for CEGUI::PropertyDefinition:

[legend]
List of all members.

## Public Member Functions

| PropertyDefinition (const String &name, const String &initialValue, bool redrawOnWrite, bool layoutOnWrite)
String | get (const PropertyReceiver *receiver) const
| Return the current value of the Property as a String.
void | set (PropertyReceiver *receiver, const String &value)
| Sets the value of the property.
void | writeXMLToStream (OutStream &out_stream) const
| Writes an xml representation of this PropertyDefinition to out_stream.

## Protected Attributes

String | d_userStringName
bool | d_writeCausesRedraw
bool | d_writeCausesLayout

## Detailed Description

class representing a new property to be available on all widgets that use the WidgetLook that this PropertyDefinition is defiend for.

## Member Function Documentation

String CEGUI::PropertyDefinition::get | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Return the current value of the Property as a String.

Parameters:

  | receiver | Pointer to the target object.

Returns:
  String object containing a textual representation of the current value of the Property

Implements CEGUI::Property.

void CEGUI::PropertyDefinition::set | ( | PropertyReceiver * | receiver,
|  | const String & | value
| ) | `[virtual]`

Sets the value of the property.

Parameters:

  | receiver | Pointer to the target object.
  | value | A String object that contains a textual representation of the new value to assign to the Property.

Returns:
  Nothing.

Exceptions:

  | InvalidRequestException | Thrown when the Property was unable to interpret the content of value.

Implements CEGUI::Property.

void CEGUI::PropertyDefinition::writeXMLToStream | ( | OutStream & | out_stream | ) | const

Writes an xml representation of this PropertyDefinition to out_stream.

Parameters:

  | out_stream | Stream where xml data should be output.

Returns:
  Nothing.